var landing = implement("smp:external/superhero_landing");

function init(hero) {
    hero.setName("Super Potato Boi");
    hero.setTier(7);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("smp:potato_squad_experiment");
    hero.addAttribute("PUNCH_DAMAGE", 12, 0);
    hero.addAttribute("JUMP_HEIGHT", 1, 0);
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 2, 0);
    hero.addAttribute("MAX_HEALTH", 5, 0);

    hero.addKeyBind("ENERGY_PROJECTION", "Potato Knockback", 2);
    hero.addKeyBind("CHARGED_BEAM", "Potato Scream", 1);

    hero.setTickHandler((entity, manager) => {
        landing.tick(entity, manager);
    });
}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}