function init(hero) {
    hero.setName("The Red Glare");
    hero.setTier(5);

    hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("item.superhero_armor.piece.torso");

    hero.addPowers("smp:red_glare");
    hero.addAttribute("PUNCH_DAMAGE", 11.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

    hero.addKeyBind("HEAT_VISION", "Laser Vision", 1);
    hero.addKeyBind("TENTACLE_JAB", "key.tentacleJab", 2);
    hero.addKeyBind("TENTACLE_GRAB", "key.tentacleGrab", 3);
    hero.addKeyBind("TENTACLE_STRIKE", "key.tentacleStrike", 4);
    hero.addKeyBind("TENTACLES", "key.tentacles", 5);

    hero.setDefaultScale(1.125);

    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind == "TENTACLES" || keyBind == "HEAT_VISION" || entity.getData("fiskheroes:tentacles") != null;
}
