extend("fiskheroes:hero_basic"),
loadTextures({
    "layer1": "smp:entity_speedster_layer1",
    "layer2": "smp:entity_speedster_layer2"
});

var utils = implement("fiskheroes:external/utils");
var speedster = implement("fiskheroes:external/speedster_utils");

function initEffects(renderer) {
    utils.bindTrail(renderer, "smp:lightning_entity");
    utils.bindBeam(renderer, "fiskheroes:lightning_cast", "fiskheroes:lightning_cast", "rightArm", 0xFF1717, [
        { "firstPerson": [-8.0, 4.5, -10.0], "offset": [-0.5, 9.0, 0.0], "size": [0.75, 0.75] }
    ]);

    speedster.init(renderer);

    lightning = utils.createLines(renderer, ("BEAM_RENDERER", "smp:lightning_sword"), 0xFF1717, [
        {"start": [0, 0, 4], "end": [0, 0, -18], "size": [5.0, 5.0]}]);
    
    lightning.anchor.set("rightArm");
    lightning.setOffset(1.0, 9.0, 2.0);
    lightning.setScale(1.0);
}

function render(entity, renderLayer, isFirstPersonArm) {
    lightning.render();
    lightning.opacity = entity.getInterpolatedData("fiskheroes:blade_timer");
}