var landing = implement("smp:external/superhero_landing");

function init(hero) {
    hero.setName("Sculk Monarch");
    hero.setTier(10);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("smp:sculk_infection");
    hero.addAttribute("PUNCH_DAMAGE", 10, 0);
    hero.addAttribute("WEAPON_DAMAGE", -2, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.7, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("SPRINT_SPEED", 0.5, 1);
    hero.addAttribute("IMPACT_DAMAGE", 1.5, 1);
    hero.addAttribute("MAX_HEALTH", 11, 0);
    hero.addAttribute("WEAPON_DAMAGE", -0.95, 1);

    hero.addKeyBind("ENERGY_PROJECTION", "Infectious Beams", 2);
    hero.addKeyBind("CHARGED_BEAM", "Sculk Shreik", 1);
    hero.addKeyBind("GRAVITY_MANIPULATION", "Sculk Pulse", 3);
    hero.addKeyBind("TELEPORT", "Blink", 4);

    hero.setTickHandler((entity, manager) => {
        landing.tick(entity, manager);
    });
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
